-- Loadouts grant perks
-- Author: Machiavelli
-- DateCreated: 10/26/2015 8:20:16 PM
--------------------------------------------------------------
function InitalizePreGameLoadouts(playerID, iX, iY)
	local player = Players[playerID];
	local city = Map.GetPlot(iX, iY):GetPlotCity();

	for playerID : number = 0, GameDefines.MAX_MAJOR_CIVS-1, 1 do
		if(Players[playerID] ~= nil) then
			GivePreGameLoadouts(playerID);
		end
	end

	GameEvents.PlayerCityFounded.Remove(InitalizePreGameLoadouts);
end
GameEvents.PlayerCityFounded.Add(InitalizePreGameLoadouts)

function GivePreGameLoadouts(playerID)
	local player = Players[playerID];
	local condition = "";
	local colonist = GameInfo.Colonists[PreGame.GetLoadoutColonist(playerID)].Type;
	local cargo = GameInfo.Cargo[PreGame.GetLoadoutCargo(playerID)].Type;
	local spacecraft = GameInfo.Spacecraft[PreGame.GetLoadoutSpacecraft(playerID)].Type;

	condition = "ColonistType = '" .. colonist .. "'";
	for row in GameInfo.Colonist_LGP_FreePerk(condition) do
		player:AddPerk(GameInfo.PlayerPerks[row.FreePlayerPerk].ID);
	end

	condition = "CargoType = '" .. cargo .. "'";
	for row in GameInfo.Cargo_LGP_FreePerk(condition) do
		player:AddPerk(GameInfo.PlayerPerks[row.FreePlayerPerk].ID);
	end

	condition = "SpacecraftType = '" .. spacecraft .. "'";
	for row in GameInfo.Spacecraft_LGP_FreePerk(condition) do
		player:AddPerk(GameInfo.PlayerPerks[row.FreePlayerPerk].ID);
	end
end